# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc套包正价查询,2264,2264-35,sit,bs
主数据平台:后台运营系统套包正价查询接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_special_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步套包正价查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url2")
request_body = commonFuc().get_business_data(module, "payload2")
"""
 场景:套包正价查询
 用例名称：套包正价查询
 输出：{"total":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取套包正价总数量
result = {"total": result["data"]["total"]}

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 数据库查询套包正价数量
sql = "SELECT t.groupId FROM `cmdc-order`.tc_fresenius_agreement_price t " \
      "WHERE isRegularPrice = 1 and groupPriceStatus = 1 and companyCode = 00111"
total = len(mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql))

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict2", total)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
