# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc验证按条件停用已停用的套包,2264,2264-46,sit,bs
主数据平台:运营后台管理系统Excel导入接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.handle_excel import HandleExcel
import requests
import json
import os


module = "cmdc_special_fresenius_group"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers2", cmdc_access_token)

# 获取文件
BASE_DIR = os.path.dirname(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(__file__)))))
file_path = BASE_DIR + "/data/cmdc_files/套包按条件停用.xlsx"

# 套包状态-停用状态
group_status = 2

# 获取套包列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "group_list")
request_body = commonFuc().get_business_data(module, "group_payload", group_status)
result = requests.post(url, headers=headers, json=request_body)
result = json.loads(result.content)

# 获取套包信息groupCode、groupName、groupId
group_code = result["data"]["list"][0]["groupCode"]
group_name = result["data"]["list"][0]["groupName"]
group_id = result["data"]["list"][0]["groupId"]

# 将套包信息写入文件中
excel = HandleExcel(file_path, "Sheet1")
excel.write_data(row=2, column=1, value=group_code)
excel.write_data(row=2, column=2, value=group_name)

# 第二步进行套包数据导入操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url10")
request_body = commonFuc().get_business_data(module, "payload10")

# 获取文件
file = open(file_path, "rb")
files = {"file": file}

"""
 场景:验证按条件停用套包功能，是否可以停用已停用的套包
 用例名称：验证按条件停用已停用的套包
 输出：{"errList":["%s"]}
"""

# 发送请求
result = requests.post(url, files=files, headers=headers, data=request_body)
result = json.loads(result.content)
file.close()
# 截取结果中errList信息
result = {"errList": result["data"]["errMsg"]["errList"]}
# 获取预期结果
err_list = "平台套包编号【{}】 在待启用记录里不存在！".format(group_code)
check_dict = commonFuc().get_business_data(module, "checkDict11", err_list)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
